<?php
require_once 'database.inc.php';
header('Content-Type: text/html; charset=utf-8');
ob_start();
if (Test_User($lg_user, $lg_password) == True) {
  echo 'with(milonic=new menuname("Main Menu")){' . "\n" .
    'style=MenuStyle;' . "\n" .
    'top=top_position;' . "\n" .
    'left=left_position;' . "\n" .
    'alwaysvisible=1;' . "\n" .
    'followscroll="10";' . "\n" .
    'orientation="horizontal";' . "\n";
  if (As_Right_Groupe(1))
    echo 'aI("text=Articles;showmenu=Articles;");' . "\n";
  if (As_Right_Groupe(2))
    echo 'aI("text=Vehicules;showmenu=Vehicules;");' . "\n";
  if (As_Right_Groupe(3))
    echo 'aI("text=Clients;showmenu=Clients;");' . "\n";
  if (As_Right_Groupe(4))
    echo 'aI("text=Commandes;showmenu=Commandes;");' . "\n";
  if (As_Right_Groupe(5))
    echo 'aI("text=Calendrier;showmenu=Calendrier;");' . "\n";
  if (As_Right_Groupe(6))
    echo 'aI("text=Comptabilité;showmenu=Comptabilite;");' . "\n";
  if (Is_Admin())
    echo 'aI("text=Configuration;showmenu=Configuration;");' . "\n";
  echo 'aI("text=Logout;align=center;clickfunction=logout();");' . "\n";
  echo '}' . "\n" . "\n";
  if (As_Right_Groupe(1)) {
    echo 'with(milonic=new menuname("Articles")){' . "\n" .
      'style=SousMenuStyle;' . "\n";
    Menu_Fonction(1, 1);
    Menu_Fonction(1, 2);
    Menu_Fonction(1, 3);
    Menu_Fonction(1, 4);
    Menu_Fonction(1, 5);
    Menu_Fonction(1, 8);
    Menu_Fonction(1, 6);
    Menu_Fonction(1, 7);
    if (As_Right_Fonction(1, 91) || As_Right_Fonction(1, 92))
      echo 'aI("text=Inventaire;showmenu=Inventaire;");' . "\n";
    Menu_Fonction(1, 10);
    Menu_Fonction(1, 12);
    Menu_Fonction(1, 11);
    Menu_Fonction(1, 13);
    echo '}' . "\n" . "\n";

    if (As_Right_Fonction(1, 91) || As_Right_Fonction(1, 92)) {
      echo 'with(milonic=new menuname("Inventaire")){' . "\n" .
        'style=SousMenuStyle;' . "\n";
      Menu_Fonction(1, 91);
      Menu_Fonction(1, 92);
      echo '}' . "\n" . "\n";
    }
  }
  if (As_Right_Groupe(2)) {
    echo 'with(milonic=new menuname("Vehicules")){' . "\n" .
      'style=SousMenuStyle;' . "\n";
    Menu_Fonction(2, 1);
    Menu_Fonction(2, 2);
    Menu_Fonction(2, 3);
    Menu_Fonction(2, 4);
    Menu_Fonction(2, 5);
    Menu_Fonction(2, 6);
    if (As_Right_Fonction(2, 7) || As_Right_Fonction(2, 8) || As_Right_Fonction(2, 9) || As_Right_Fonction(2, 12))
      echo 'aI("text=Vehicules location;showmenu=Vehicules location;");' . "\n";
    Menu_Fonction(2, 10);
    Menu_Fonction(2, 11);
    Menu_Fonction(2, 13);
    echo '}' . "\n" . "\n";
    if (As_Right_Fonction(2, 7) || As_Right_Fonction(2, 8) || As_Right_Fonction(2, 9) || As_Right_Fonction(2, 12)) {
      echo 'with(milonic=new menuname("Vehicules location")){' . "\n" .
        'style=SousMenuStyle;' . "\n";
      Menu_Fonction(2, 7);
      Menu_Fonction(2, 8);
      Menu_Fonction(2, 9);
      Menu_Fonction(2, 12);
      echo '}' . "\n" . "\n";
    }
  }
  if (As_Right_Groupe(3)) {
    echo 'with(milonic=new menuname("Clients")){' . "\n" .
      'style=SousMenuStyle;' . "\n";
    Menu_Fonction(3, 1);
    Menu_Fonction(3, 2);
    Menu_Fonction(3, 3);
    Menu_Fonction(3, 4);
    Menu_Fonction(3, 5);
    Menu_Fonction(3, 6);
    Menu_Fonction(3, 7);
    Menu_Fonction(3, 8);
    Menu_Fonction(3, 9);
    echo '}' . "\n" . "\n";
  }
  if (As_Right_Groupe(4)) {
    echo 'with(milonic=new menuname("Commandes")){' . "\n" .
      'style=SousMenuStyle;' . "\n";
    Menu_Fonction(4, 1);
    Menu_Fonction(4, 101);
    if (As_Right_Fonction(4, 201) || As_Right_Fonction(4, 202) || As_Right_Fonction(4, 203) || As_Right_Fonction(4, 204) || As_Right_Fonction(4, 205) || As_Right_Fonction(4, 206) || As_Right_Fonction(4, 207))
      echo 'aI("text=Facture;showmenu=Facture;");' . "\n";
    if (As_Right_Fonction(4, 208) || As_Right_Fonction(4, 209) || As_Right_Fonction(4, 210) || As_Right_Fonction(4, 211) || As_Right_Fonction(4, 212) || As_Right_Fonction(4, 213))
      echo 'aI("text=Devis et offre;showmenu=Devisoffre;");' . "\n";
    if (As_Right_Fonction(4, 214) || As_Right_Fonction(4, 215) || As_Right_Fonction(4, 216))
      echo 'aI("text=Commande;showmenu=Commande;");' . "\n";
    if (As_Right_Fonction(4, 217) || As_Right_Fonction(4, 218))
      echo 'aI("text=Garantie;showmenu=Garantie;");' . "\n";
    if (As_Right_Fonction(4, 219))
      echo 'aI("text=Reprise vhc;showmenu=Reprise;");' . "\n";
    if (As_Right_Fonction(4, 220) || As_Right_Fonction(4, 221) || As_Right_Fonction(4, 222) || As_Right_Fonction(4, 223) || As_Right_Fonction(4, 224))
      echo 'aI("text=Note de credit;showmenu=NoteCredit;");' . "\n";
    echo 'aI("text=Liste commandes;align=center;clickfunction=set_default(4,70);");' . "\n";
    echo '}' . "\n" . "\n";
    if (As_Right_Fonction(4, 201) || As_Right_Fonction(4, 202) || As_Right_Fonction(4, 203) || As_Right_Fonction(4, 204) || As_Right_Fonction(4, 205) || As_Right_Fonction(4, 206) || As_Right_Fonction(4, 207)) {
      echo 'with(milonic=new menuname("Facture")){' . "\n" .
        'style=SousMenuStyle;' . "\n";
      Menu_Fonction(4, 201);
      if (As_Right_Fonction(4, 201)) {
        echo 'aI("text=Acompte pièces;align=center;clickfunction=set_default(4,104);");' . "\n";
      }
      Menu_Fonction(4, 202);
      Menu_Fonction(4, 203);
      Menu_Fonction(4, 204);
      Menu_Fonction(4, 205);
      Menu_Fonction(4, 206);
      Menu_Fonction(4, 207);
      echo '}' . "\n" . "\n";
    }
    if (As_Right_Fonction(4, 208) || As_Right_Fonction(4, 209) || As_Right_Fonction(4, 210) || As_Right_Fonction(4, 211) || As_Right_Fonction(4, 212) || As_Right_Fonction(4, 213)) {
      echo 'with(milonic=new menuname("Devisoffre")){' . "\n" .
        'style=SousMenuStyle;' . "\n";
      if (As_Right_Fonction(4, 208) || As_Right_Fonction(4, 209))
        echo 'aI("text=Devis;showmenu=Devis;");' . "\n";
      if (As_Right_Fonction(4, 210) || As_Right_Fonction(4, 211))
        echo 'aI("text=Offre pieces;showmenu=Offre pieces;");' . "\n";
      if (As_Right_Fonction(4, 212) || As_Right_Fonction(4, 213))
        echo 'aI("text=Offre vehicule;showmenu=Offre vehicule;");' . "\n";
      echo '}' . "\n" . "\n";
    }
    if (As_Right_Fonction(4, 208) || As_Right_Fonction(4, 209)) {
      echo 'with(milonic=new menuname("Devis")){' . "\n" .
        'style=SousMenuStyle;' . "\n";
      Menu_Fonction(4, 208);
      Menu_Fonction(4, 209);
      echo '}' . "\n" . "\n";
    }
    if (As_Right_Fonction(4, 210) || As_Right_Fonction(4, 211)) {
      echo 'with(milonic=new menuname("Offre pieces")){' . "\n" .
        'style=SousMenuStyle;' . "\n";
      Menu_Fonction(4, 210);
      Menu_Fonction(4, 211);
      echo '}' . "\n" . "\n";
    }
    if (As_Right_Fonction(4, 212) || As_Right_Fonction(4, 213)) {
      echo 'with(milonic=new menuname("Offre vehicule")){' . "\n" .
        'style=SousMenuStyle;' . "\n";
      Menu_Fonction(4, 212);
      Menu_Fonction(4, 213);
      echo '}' . "\n" . "\n";
    }
    if (As_Right_Fonction(4, 214) || As_Right_Fonction(4, 215) || As_Right_Fonction(4, 216)) {
      echo 'with(milonic=new menuname("Commande")){' . "\n" .
        'style=SousMenuStyle;' . "\n";
      Menu_Fonction(4, 214);
      Menu_Fonction(4, 215);
      Menu_Fonction(4, 216);
      echo '}' . "\n" . "\n";
    }
    if (As_Right_Fonction(4, 217) || As_Right_Fonction(4, 218)) {
      echo 'with(milonic=new menuname("Garantie")){' . "\n" .
        'style=SousMenuStyle;' . "\n";
      Menu_Fonction(4, 217);
      Menu_Fonction(4, 218);
      echo '}' . "\n" . "\n";
    }
    if (As_Right_Fonction(4, 219)) {
      echo 'with(milonic=new menuname("Reprise")){' . "\n" .
        'style=SousMenuStyle;' . "\n";
      Menu_Fonction(4, 219);
      echo '}' . "\n" . "\n";
    }
    if (As_Right_Fonction(4, 220) || As_Right_Fonction(4, 221) || As_Right_Fonction(4, 222) || As_Right_Fonction(4, 223) || As_Right_Fonction(4, 224)) {
      echo 'with(milonic=new menuname("NoteCredit")){' . "\n" .
        'style=SousMenuStyle;' . "\n";
      Menu_Fonction(4, 220);
      Menu_Fonction(4, 221);
      Menu_Fonction(4, 222);
      Menu_Fonction(4, 223);
      Menu_Fonction(4, 224);
      echo '}' . "\n" . "\n";
    }
  }
  if (As_Right_Groupe(5)) {
    echo 'with(milonic=new menuname("Calendrier")){' . "\n" .
      'style=SousMenuStyle;' . "\n";
    Menu_Fonction(5, 1);
    Menu_Fonction(5, 2);
    Menu_Fonction(5, 3);
    if (As_Right_Fonction(5, 2))
      Menu_Fonction(5, 4);
    echo '}' . "\n" . "\n";
  }
  //echo 'alert("coucou1")'."\n";
  if (As_Right_Groupe(6)) {
    echo 'with(milonic=new menuname("Comptabilite")){' . "\n" .
      'style=SousMenuStyle;' . "\n";
    Menu_Fonction(6, 1);
    if (As_Right_Fonction(6, 21) || As_Right_Fonction(6, 22) || As_Right_Fonction(6, 23) || As_Right_Fonction(6, 24))
      echo 'aI("text=Compta;align=center;showmenu=Compta;");' . "\n";
    Menu_Fonction(6, 7);
    if (As_Right_Fonction(6, 7))
      echo 'aI("text=Reprises non vendues;align=center;clickfunction=set_default(6,71);");' . "\n";
    Menu_Fonction(6, 3);
    Menu_Fonction(6, 4);
    Menu_Fonction(6, 6);
    if (As_Right_Fonction(6, 51))
      echo 'aI("text=Caisse;align=center;showmenu=Caisse;");' . "\n";
    if (As_Right_Fonction(6, 61) || As_Right_Fonction(6, 62))
      echo 'aI("text=Rappels;align=center;showmenu=Rappels;");' . "\n";
    echo '}' . "\n" . "\n";
    if (As_Right_Fonction(6, 21) || As_Right_Fonction(6, 22) || As_Right_Fonction(6, 23) || As_Right_Fonction(6, 24)) {
      echo 'with(milonic=new menuname("Compta")){' . "\n" .
        'style=SousMenuStyle;' . "\n";
      Menu_Fonction(6, 21);
      Menu_Fonction(6, 22);
      Menu_Fonction(6, 23);
      Menu_Fonction(6, 24);
      Menu_Fonction(6, 25);
      echo '}' . "\n" . "\n";
    }
    if (As_Right_Fonction(6, 51)) {
      echo 'with(milonic=new menuname("Caisse")){' . "\n" .
        'style=SousMenuStyle;' . "\n";
      Menu_Fonction(6, 51);
      //      echo 'aI("text=Etat;align=center;clickfunction=set_default(6,52);");' . "\n";
      echo '}' . "\n" . "\n";
    }
    if (As_Right_Fonction(6, 61) || As_Right_Fonction(6, 62)) {
      echo 'with(milonic=new menuname("Rappels")){' . "\n" .
        'style=SousMenuStyle;' . "\n";
      Menu_Fonction(6, 61);
      Menu_Fonction(6, 62);
      echo '}' . "\n" . "\n";
    }
  }
  if (Is_Admin()) {
    echo 'with(milonic=new menuname("Configuration")){' . "\n" .
      'style=SousMenuStyle;' . "\n";
    echo 'aI("text=Utilisateurs;showmenu=Utilisateurs;");' . "\n";
    echo 'aI("text=Groupes;showmenu=Groupes;");' . "\n";
    echo 'aI("text=Champs de formulaire;showmenu=ChampsFormulaire;");' . "\n";
    echo 'aI("text=Champs de recherche;showmenu=ChampsRecherche;");' . "\n";
    echo 'aI("text=Rabais;showmenu=Rabais;");' . "\n";
    echo 'aI("text=Methodes de payement;showmenu=MethodesPayement;");' . "\n";
    echo 'aI("text=Employés;showmenu=Employes;");' . "\n";
    echo 'aI("text=Poste;showmenu=Poste;");' . "\n";
    echo 'aI("text=Catégorie location;showmenu=CatLoc;");' . "\n";
    echo 'aI("text=GM à Compte comptables;showmenu=GMCC;");' . "\n";
    echo 'aI("text=Services;showmenu=Services;");' . "\n";
    echo 'aI("text=Nettoyage factures;align=center;clickfunction=set_default(10,99);");' . "\n";
    echo '}' . "\n" . "\n";
    echo 'with(milonic=new menuname("Utilisateurs")){' . "\n" .
      'style=SousMenuStyle;' . "\n";
    echo 'aI("text=Nouvel utilisateur;align=center;clickfunction=set_default(10,11);");' . "\n";
    echo 'aI("text=Modifier utilisateur;align=center;clickfunction=set_default(10,12);");' . "\n";
    echo 'aI("text=Supprimer utilisateur;align=center;clickfunction=set_default(10,13);");' . "\n";
    echo '}' . "\n" . "\n";
    echo 'with(milonic=new menuname("Groupes")){' . "\n" .
      'style=SousMenuStyle;' . "\n";
    echo 'aI("text=Nouveau groupe;align=center;clickfunction=set_default(10,14);");' . "\n";
    echo 'aI("text=Modifier groupe;align=center;clickfunction=set_default(10,15);");' . "\n";
    echo 'aI("text=Supprimer groupe;align=center;clickfunction=set_default(10,16);");' . "\n";
    echo '}' . "\n" . "\n";
    echo 'with(milonic=new menuname("ChampsFormulaire")){' . "\n" .
      'style=SousMenuStyle;' . "\n";
    echo 'aI("text=Champs formulaire articles;align=center;clickfunction=set_default(10,21);");' . "\n";
    echo 'aI("text=Champs formulaire vehicules;align=center;clickfunction=set_default(10,22);");' . "\n";
    echo 'aI("text=Champs formulaire clients;align=center;clickfunction=set_default(10,23);");' . "\n";
    echo 'aI("text=Types formulaire articles;align=center;clickfunction=set_default(10,24);");' . "\n";
    echo 'aI("text=Types formulaire vehicules;align=center;clickfunction=set_default(10,25);");' . "\n";
    echo 'aI("text=Types formulaire clients;align=center;clickfunction=set_default(10,26);");' . "\n";
    echo '}' . "\n" . "\n";
    echo 'with(milonic=new menuname("ChampsRecherche")){' . "\n" .
      'style=SousMenuStyle;' . "\n";
    echo 'aI("text=Champs recherche articles;align=center;clickfunction=set_default(10,31);");' . "\n";
    echo 'aI("text=Champs recherche vehicules;align=center;clickfunction=set_default(10,32);");' . "\n";
    echo 'aI("text=Champs recherche clients;align=center;clickfunction=set_default(10,33);");' . "\n";
    echo 'aI("text=Champs recherche commandes;align=center;clickfunction=set_default(10,34);");' . "\n";
    echo 'aI("text=Champs recherche cash;align=center;clickfunction=set_default(10,313);");' . "\n";
    echo 'aI("text=Champs recherche atelier;align=center;clickfunction=set_default(10,316);");' . "\n";
    echo 'aI("text=Types recherche articles;align=center;clickfunction=set_default(10,35);");' . "\n";
    echo 'aI("text=Types recherche vehicules;align=center;clickfunction=set_default(10,36);");' . "\n";
    echo 'aI("text=Types recherche clients;align=center;clickfunction=set_default(10,37);");' . "\n";
    echo 'aI("text=Types recherche commandes;align=center;clickfunction=set_default(10,38);");' . "\n";
    echo 'aI("text=Types recherche cash;align=center;clickfunction=set_default(10,314);");' . "\n";
    echo 'aI("text=Types recherche atelier;align=center;clickfunction=set_default(10,317);");' . "\n";
    echo 'aI("text=Resultat recherche articles;align=center;clickfunction=set_default(10,39);");' . "\n";
    echo 'aI("text=Resultat recherche vehicules;align=center;clickfunction=set_default(10,310);");' . "\n";
    echo 'aI("text=Resultat recherche clients;align=center;clickfunction=set_default(10,311);");' . "\n";
    echo 'aI("text=Resultat recherche commandes;align=center;clickfunction=set_default(10,312);");' . "\n";
    echo 'aI("text=Resultat recherche cash;align=center;clickfunction=set_default(10,315);");' . "\n";
    echo 'aI("text=Resultat recherche atelier;align=center;clickfunction=set_default(10,318);");' . "\n";
    echo '}' . "\n" . "\n";
    echo 'with(milonic=new menuname("Rabais")){' . "\n" .
      'style=SousMenuStyle;' . "\n";
    echo 'aI("text=Groupe rabais;align=center;clickfunction=set_default(10,41);");' . "\n";
    echo 'aI("text=Nouveau rabais;align=center;clickfunction=set_default(10,42);");' . "\n";
    echo 'aI("text=Modifier rabais;align=center;clickfunction=set_default(10,43);");' . "\n";
    echo 'aI("text=Supprimer rabais;align=center;clickfunction=set_default(10,44);");' . "\n";
    echo 'aI("text=Affecter rabais;align=center;clickfunction=set_default(10,45);");' . "\n";
    echo '}' . "\n" . "\n";
    echo 'with(milonic=new menuname("Employes")){' . "\n" .
      'style=SousMenuStyle;' . "\n";
    echo 'aI("text=Nouvel employe;align=center;clickfunction=set_default(10,51);");' . "\n";
    echo 'aI("text=Modifier employe;align=center;clickfunction=set_default(10,52);");' . "\n";
    echo 'aI("text=Supprimer employe;align=center;clickfunction=set_default(10,53);");' . "\n";
    echo '}' . "\n" . "\n";
    echo 'with(milonic=new menuname("Poste")){' . "\n" .
      'style=SousMenuStyle;' . "\n";
    echo 'aI("text=Configuration;align=center;clickfunction=set_default(10,61);");' . "\n";
    echo '}' . "\n" . "\n";
    echo 'with(milonic=new menuname("CatLoc")){' . "\n" .
      'style=SousMenuStyle;' . "\n";
    echo 'aI("text=Nouvelle;align=center;clickfunction=set_default(10,71);");' . "\n";
    echo 'aI("text=Modifier;align=center;clickfunction=set_default(10,72);");' . "\n";
    echo 'aI("text=Supprimer;align=center;clickfunction=set_default(10,73);");' . "\n";
    echo '}' . "\n" . "\n";
    echo 'with(milonic=new menuname("GMCC")){' . "\n" .
      'style=SousMenuStyle;' . "\n";
    echo 'aI("text=Vente;align=center;clickfunction=set_default(10,81);");' . "\n";
    echo 'aI("text=Achat;align=center;clickfunction=set_default(10,82);");' . "\n";
    echo '}' . "\n" . "\n";
    echo 'with(milonic=new menuname("Services")){' . "\n" .
      'style=SousMenuStyle;' . "\n";
    echo 'aI("text=Modifier;align=center;clickfunction=set_default(10,91);");' . "\n";
    echo 'aI("text=Nouveau;align=center;clickfunction=set_default(10,92);");' . "\n";
    echo 'aI("text=Supprimer;align=center;clickfunction=set_default(10,93);");' . "\n";
    echo '}' . "\n" . "\n";
  }
  echo 'drawMenus();' . "\n" . "\n";
}
$result = ob_get_clean();
echo utf8_encode($result);
